-- Schema: C6Mart
-- Stored Procedure: DM_PATRIMONIO_BF

-- =============================================
-- Author:		Paolo Giovanetti --modificata per i cc in liq Marianna / Valerio
-- Create date: 10 marzo 2009
-- Description:	
-- =============================================
CREATE procedure [C6Mart].[DM_PATRIMONIO_BF]
AS
BEGIN

	SET NOCOUNT ON;

	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)

	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_PATRIMONIO_BF',
		GETDATE(),
		'Elaborazione giornaliera'
	)

	TRUNCATE TABLE C6MART.PATRIMONIO_BF

	SELECT 
		SPB_CONTR_SINTESI.RETE AS RETE,
		SPB_CONTR_SINTESI.CODICEFISCALE AS COD_FISCALE,
		SPB_CONTR_SINTESI.POSITIONID AS POSITIONID,
		SUBSTRING(SPB_CONTR_SINTESI.POSITIONID,1,57) AS COD_PRODOTTO, 
		SPB_CONTR_SINTESI.CODICECONTRATTO AS ID_CONTRATTO,
		CASE 
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO IN ('DT', 'FI') AND SPB_CONTR_SINTESI.DATAINIZIORENDIMENTO IS NOT NULL THEN SPB_CONTR_SINTESI.DATAINIZIORENDIMENTO 
			ELSE SPB_CONTR_SINTESI.DATADISOTTOSCRIZIONE 
		END AS DATA_SOTTOSCRIZIONE,
		SPB_CONTR_SINTESI.CODICESTATO AS COD_STATO,
		SPB_CONTR_SINTESI.NUMEROPOLIZZA AS NUM_POLIZZA,
		SPB_CONTR_SINTESI.CODICEMAF AS COD_MAF,
		SPB_CONTR_SINTESI.CODICEINTERNO AS COD_INTERNO,
		SPB_CONTR_SINTESI.CODICESOTTOPRODOTTO AS COD_SOTTOPRODOTTO,
		SPB_CONTR_SINTESI.TIPOPRODOTTO AS TIPO_PRODOTTO,
		CASE
			WHEN CONSAREA.C_NEEDAREA_V_46360 = 'Inv' AND PRCONSUL.C_PROJECTNAM_11D1A IS NULL THEN 'Prodotti non associati a progetti'
			ELSE LTRIM(RTRIM(PRCONSUL.C_PROJECTNAM_11D1A))
		END AS NOME_PROGETTO,
		--POSITION.C_NEEDAREASE_3D485 AS ID_AREA,
		CONSAREA.C_NEEDAREA_V_46360 AS ID_AREA,
		SPB_CONTR_SINTESI.DATADIRIFERIMENTO AS DATA_OPERAZIONE,
		CONVERT(DATETIME, SPB_CONTR_SINTESI.DATAVALNAVAL, 105) AS DATA_VALUTA, -- 105 PER FORMAT DD/MM/YYYY
		NULL AS DATA_REGOLAMENTO,
		SPB_CONTR_SINTESI.QUOTE AS QUANTITA,
		SPB_CONTR_SINTESI.PREZZO AS PREZZO,
		SPB_CONTR_SINTESI.CTV AS CTV,
		SPB_CONTR_SINTESI.VALORE AS CTV_NOMINALE,
		
		CASE 
			WHEN (SPB_CONTR_SINTESI.TIPOPRODOTTO = 'GE' 
				OR SPB_CONTR_SINTESI.TIPOPRODOTTO = 'GES')
				AND SPB_CONTR_SINTESI.DATADISOTTOSCRIZIONE < cast('2007-01-01' AS DATETIME) 
				THEN NULL 
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO IN ( 'ASVI','ASU1')
				THEN NULL
			--Modifica Luca
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO = 'ASUL' AND SPB_CONTR_SINTESI.CODICEINTERNO NOT IN ('18','19','35','PR','PX')
				THEN NULL
			--
			ELSE SPB_CONTR_SINTESI.CVN 
		END AS VERSATO_NETTO,


		SPB_CONTR_SINTESI.PARTVIA AS PARTVIA_DISINV,

		SPB_CONTR_SINTESI.PARTVIAAL AS DATA_PARTVIA_DISINV,


	
		--SPB_PARTITE_VIAGG.IMPORTOVERSATO AS PARTVIA_INV,
		NULL AS PARTVIA_INV,
		



		CASE 
			WHEN (SPB_CONTR_SINTESI.TIPOPRODOTTO = 'GE' 
				OR SPB_CONTR_SINTESI.TIPOPRODOTTO = 'GES')
				AND SPB_CONTR_SINTESI.DATADISOTTOSCRIZIONE < cast('2007-01-01' AS DATETIME) 
				THEN NULL 
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO IN ( 'ASVI','ASU1')
				THEN NULL
			--Modifica Luca
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO = 'ASUL' AND SPB_CONTR_SINTESI.CODICEINTERNO NOT IN ('18','19','35','PR','PX')
				THEN NULL
			--
			ELSE SPB_CONTR_SINTESI.RENDIMENTODASOTTOSCRIZIONE
		END AS REND_SOTTOSCRIZIONE,	
--		SPB_CONTR_SINTESI.RENDIMENTODASOTTOSCRIZIONE AS REND_SOTTOSCRIZIONE,
		

		CASE 
			WHEN (SPB_CONTR_SINTESI.TIPOPRODOTTO = 'GE' 
				OR SPB_CONTR_SINTESI.TIPOPRODOTTO = 'GES')
				AND SPB_CONTR_SINTESI.DATADISOTTOSCRIZIONE < cast('2007-01-01' AS DATETIME) 
				THEN NULL 
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO IN ( 'ASVI','ASU1')
				THEN NULL
			--Modifica Luca
			WHEN SPB_CONTR_SINTESI.TIPOPRODOTTO = 'ASUL' AND SPB_CONTR_SINTESI.CODICEINTERNO NOT IN ('18','19','35','PR','PX')
				THEN NULL
			--
			ELSE SPB_CONTR_SINTESI.RENDIMENTODAINIZIOTRIMESTRE
		END AS REND_TRIMESTRE,	
--		SPB_CONTR_SINTESI.RENDIMENTODAINIZIOTRIMESTRE AS REND_TRIMESTRE,
